Bug 1253408 - Broken dependency between luxrender-blender and Blender
Summary: Broken dependency between luxrender-blender and Blender
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: LuxRender
Version: 23
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Nicolas Chauvet (kwizart)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-08-13 16:16 UTC by Luya Tshimbalanga
Modified: 2015-09-13 18:49 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-09-13 18:49:49 UTC


Attachments (Terms of Use)

Description Luya Tshimbalanga 2015-08-13 16:16:19 UTC
Description of problem:
Nightly compose generated the following result:
DEBUG util.py:378:  Error creating Live CD : Failed to build transaction : LuxRender-blender-1.3.1-20.fc23.x86_64 requires blender(ABI) = 2.74

Causing the inability to build Design Suite labs on Fedora 23.
http://koji.fedoraproject.org/koji/taskinfo?taskID=10690428

Version-Release number of selected component (if applicable):
1.3.1-20

How reproducible:
Always

Steps to Reproduce:
1. Attempt of installing luxrender-blender
2.
3.

Actual results:
DEBUG util.py:378:  Error creating Live CD : Failed to build transaction : LuxRender-blender-1.3.1-20.fc23.x86_64 requires blender(ABI) = 2.74

Expected results:
Dependency should be solved

Additional info:
See https://kojipkgs.fedoraproject.org//work/tasks/428/10690428/livecd.log and https://kojipkgs.fedoraproject.org//work/tasks/428/10690428/root.log

Comment 1 Rex Dieter 2015-08-13 16:50:42 UTC
Currently in -testing,
https://admin.fedoraproject.org/updates/FEDORA-2015-12874/LuxRender-1.3.1-25.fc23

I'll submit LuxRender-1.3.1-25.fc23 as a buildroot override so that you can build LuxRender-blender against it. (override will expire Aug 16, so please try to do the build before then).

Comment 2 Luya Tshimbalanga 2015-08-13 17:14:40 UTC
Thank you Rex.


Note You need to log in before you can comment on or make changes to this bug.